tvbrowser.core.tvdataservice

## Class TvDataServiceProxyManager

- java.lang.Object
- - tvbrowser.core.tvdataservice.TvDataServiceProxyManager

-     public class TvDataServiceProxyManager
      extends java.lang.Object

  Manages the TvDataServices

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLUGIN_DIRECTORY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TvDataServiceProxy` | `findDataServiceById(java.lang.String id)`
    `void` | `fireTvBrowserStartFinished()`
    `TvDataServiceProxy[]` | `getDataServices()`
    `static TvDataServiceProxyManager` | `getInstance()`
    `TvDataServiceProxy[]` | `getTvDataServices(java.lang.String[] idArr)`
    `void` | `init()` Loads and initializes all available TvDataServices
    `boolean` | `licensesAccepted(TvDataServiceProxy[] services)`
    `void` | `loadNotSubscribed()`
    `void` | `registerTvDataService(TvDataServiceProxy service)`
    `void` | `setParamFrame(javax.swing.JFrame frame)` Set the Parent-Frame for all Dataservices
    `void` | `setTvDataDir(java.io.File dir)` Changes the TvDataService working directory to the specified folder.
    `void` | `shutDown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_DIRECTORY

          public static final java.lang.String PLUGIN_DIRECTORY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static TvDataServiceProxyManager getInstance()

    - #### registerTvDataService

          public void registerTvDataService(TvDataServiceProxy service)

    - #### setTvDataDir

          public void setTvDataDir(java.io.File dir)

      Changes the TvDataService working directory to the specified folder.
      Parameters:
        `dir` -

    - #### init

          public void init()

      Loads and initializes all available TvDataServices

    - #### licensesAccepted

          public boolean licensesAccepted(TvDataServiceProxy[] services)

    - #### shutDown

          public void shutDown()

    - #### findDataServiceById

          public TvDataServiceProxy findDataServiceById(java.lang.String id)

    - #### getTvDataServices

          public TvDataServiceProxy[] getTvDataServices(java.lang.String[] idArr)

    - #### getDataServices

          public TvDataServiceProxy[] getDataServices()

    - #### setParamFrame

          public void setParamFrame(javax.swing.JFrame frame)

      Set the Parent-Frame for all Dataservices
      Parameters:
        `frame` - Parentframe

    - #### fireTvBrowserStartFinished

          public void fireTvBrowserStartFinished()

    - #### loadNotSubscribed

          public void loadNotSubscribed()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)